[Expression]Allow to remove custom functions directly from QGIS

2018-08-24 06:44 PM - Harrissou Santanna

Status: In Progress

Priority: Normal

Assignee: Nathan Woodrow

Category: Expressions

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27513

Description

Using the Function Editor tab, you can create a Python function providing new expression functions to use. This function is stored in the

user profile folder.

It could be nice to be able to remove unneeded functions (because they were tests eg) directly from the Editor tab, either from a

contextual menu or with a provided button. Currently, you need to go to the folder in which the file is saved (which is not a common/easy

place to reach - I personnaly struggle to access the AppData folder on Windows)

History

#1 - 2018-10-11 07:56 AM - Nathan Woodrow

- Crashes QGIS or corrupts data set to No

- Assignee set to Nathan Woodrow

- Tracker changed from Feature request to Bug report

- Regression? set to No

- Affected QGIS version set to 3.3(master)

#2 - 2018-10-11 07:57 AM - Nathan Woodrow

which is not a common/easy place to reach - I personnaly struggle to access the AppData folder on Windows

If you need to get the location from inside QGIS you can use the Settings -> User Profiles -> Open Active Profile folder..

#3 - 2018-10-15 01:48 AM - Nathan Woodrow

- Status changed from Open to In Progress

I have started working on this but have some issues with the QFile::remove not removing the file.
